<p align="center">
    <img title="Drp Installer" height="100" src="https://git.drp.digital/uploads/a60d53ff5e90e0244ac543e32bfb1a02/logo.png" />
</p>
A command to help installing new and existing projects on developers machines. 
This is to reduce the time it takes for developers to get set up on projects.

## Installation

Add drp composer repository to your global composer file:
```bash
composer config -g repositories.drp composer https://composer.drp.digital
```

Installs our installer package
```bash
composer global require drp/installer
```

Restart your terminal and you  should now be able to run:
```bash
drp
```

## Usage

### Creating a new project
Run `drp new {namespace/project}` this will start the creation process for a new project.
This will create a new folder in the current directory for the new project.

*NOTE: It is best if the GitLab project is setup before running this command as it will automatically set up the git remote for you.* 

This includes:
- Cloning a base project and running the necessary set up commands.
- Setting up the remote to work with the existing GitLab project.

### Installing an existing one
Run `drp install {namespace/project}` for example to install JLR GCI Portal you would run
`drp install jlr/gci-portal`.

This will automatically clone the project in the current directory and then execute the 
initial install command specified in the project.

## Maintainers
- Chris Normansell (https://git.drp.digital/cnormansell)
