<?php

namespace App\Git;

use GitWrapper\GitWrapper;
use Illuminate\Support\Facades\Storage;

class ResetGitTask
{
    /**
     * @var string
     */
    private $localFolder;

    public function __construct(string $localFolder)
    {
        $this->localFolder = $localFolder;
    }

    public function __invoke()
    {
        Storage::disk('local')->deleteDirectory($this->localFolder . '/.git');

        $git = new GitWrapper;
        $workingCopy = $git->workingCopy($this->localFolder);
        $workingCopy->init();
        $workingCopy->add('.');
        $workingCopy->commit('Initial commit');
    }
}
