<?php

namespace App\Installers;

use Illuminate\Support\Facades\Storage;
use Symfony\Component\Process\Process;

class CreateDatabaseTask
{
    /**
     * @var string
     */
    private $projectFolder;

    public function __construct(string $projectFolder)
    {
        $this->projectFolder = $projectFolder;
    }

    public function __invoke()
    {
        if ($this->detectValet()) {
            $process = new Process(['valet', 'db', 'create'], Storage::disk('local')->path($this->projectFolder));
            $process->enableOutput()->setTty(true)->run();

            return;
        }

        // Manually connect to db
    }

    private function detectValet(): bool
    {
        return exec('which valet') !== '';
    }
}
