<?php

namespace App\Installers;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Storage;
use Symfony\Component\Process\Process;

class InitialiseProject
{
    /**
     * @var string
     */
    private $projectFolder;

    /**
     * @var \LaravelZero\Framework\Commands\Command
     */
    private $command;

    public function __construct(string $projectFolder, Command $command)
    {
        $this->projectFolder = $projectFolder;
        $this->command = $command;
    }

    public function __invoke()
    {
        $configFile = $this->projectFolder . '/drp-installer.json';
        if (Storage::disk('local')->exists($configFile) === false) {
            return false;
        }

        $config = json_decode(Storage::disk('local')->get($configFile));
        if (isset($config->commands) === false) {
            // TODO THROIW
            dd('No commands');
        }

        $this->command->getOutput()->writeln('');
        foreach ($config->commands as $command) {
            $this->command->info('Running ' . $command);
            $process = new Process($command, Storage::disk('local')->path($this->projectFolder));
            $process->enableOutput()->setTty(true)->run();
        }

    }
}
